//
//  ZXLMainViewController.m
//  TOPULL
//
//  Created by zxl on 2017/12/21.
//  Copyright © 2017年 EM. All rights reserved.
//

#import "ZXLMainViewController.h"
#import "Masonry.h"
#import "ZXLHeaderCell.h"

@interface ZXLMainViewController ()<UITableViewDataSource,UITableViewDelegate>

@property (nonatomic, strong)UITableView *tableView;


@end

@implementation ZXLMainViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.navigationItem.title = @"买基金";
    [self.view addSubview:self.tableView];
    [self.tableView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(self.view).offset(-500);
        make.edges.mas_equalTo(self.view);
    }];
    
    //去掉导航栏下方的分割线
    [self.navigationController.navigationBar setShadowImage:[UIImage new]];
}

#pragma mark - Table view data source
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 100;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    if (indexPath.row==0) {
        ZXLHeaderCell *headerCell = [tableView dequeueReusableCellWithIdentifier:@"ZXLHeaderCell"];
        if (!headerCell) {
            headerCell = [[ZXLHeaderCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"ZXLHeaderCell"];
        }
        return headerCell;
    }
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"UITableViewCell"];
    if (!cell) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:@"UITableViewCell"];
    }
    cell.textLabel.text = @"用户信息";
    cell.detailTextLabel.text = @"用户详细信息";
    return cell;
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (indexPath.row==0) {
        return 564;
    }
    return 44;
}

#pragma mark - lazy
-(UITableView *)tableView
{
    if (!_tableView) {
        _tableView = [[UITableView alloc] init];
        _tableView.delegate = self;
        _tableView.dataSource = self;
    }
    return _tableView;
}
@end
